<form method="POST" class="overlay-bg">

    <div class="overlay-window overlay-window-alt bg-dark">
        <h2 class="overlay-title">Import distributed records from...</h2>

        <button type="submit" name="imports_close" class="btn-unstyled overlay-btn-close">
            <img src="{{ url_for('static', filename='img/xmark-solid-light.svg') }}" />
        </button>

        <div class="overlay-frame">
            <table class="overlay-table bg-dark">
                <!-- <thead>
                    <tr>
                        <th>Import distributed records from...</th>
                    </tr>
                </thead> -->

                {% if input.value %}
                    {% for i in input.value %}
                        <tr class="{% if loop.index0 % 2 != 0 %} bg-light{% endif %}">
                            <td> <!-- name loop.index0 -->
                                <input type="checkbox" class="checkbox" name="{{ i.get('path') }}" id="" value="{{ true }}" onfocus="this.select()"
                                    {% if i.get('selected') %} checked{% endif %}>
                                <!-- style="appearance: none; width: 10px; height: 10px; border: solid 2px green; border-radius: 50%;" -->
                            </td>
                            <td class="overlay-table-col-text">{{ i.get('name') }}</td>
                            <!-- DEBUG CELLS -->
                            <!-- <td>loop.index0</td> -->
                            <!-- <td>i.get('selected')</td> -->
                        </tr>
                    {% endfor %}
                {% endif %}
            </table>
        </div>

        <div class="overlay-content-row">
            <!-- <div> -->
                <!-- <span class="toggle-text">Off</span> -->
                <label class="switch" title="Disable selected files (WIP - not doing anything for now)">
                    <input type="checkbox" id="disableIniFiles">
                    <span class="slider wip">
                        <span class="slider-btn"></span>
                    </span>
                </label>
                <!-- <span class="toggle-text">On</span> -->
            <!-- </div> -->
            
            <!-- Add a submit button to call '/import/' route here -->
            <button type="submit" name="imports_submit" value="{{ input.value|length }}"
                    class="btn-unstyled card-btn card-btn-sub50">
                    Import
            </button>
        </div>
    </div>

</form>